[Setup]
PrivilegesRequired=admin
AppName=pGina
AppVerName=pGina 1.8.8 x86_64
AppPublisher=pGina
AppPublisherURL=http://www.pgina.org
AppSupportURL=http://www.pgina.org
AppUpdatesURL=http://www.pgina.org
DefaultDirName=c:\pGina
DisableDirPage=no
DefaultGroupName=pGina
DisableProgramGroupPage=no
LicenseFile=..\license.txt
ShowLanguageDialog=auto
ArchitecturesInstallIn64BitMode=x64 ia64
ArchitecturesAllowed=x64 ia64

[Components]
Name: common; Description: Install Start Menu icons for All Users; Flags: exclusive
Name: user; Description: Install Start Menu icons for current user only; Flags: exclusive

[Files]
Source: "..\..\configure\configure.bat"; DestDir: "{app}"; Flags: ignoreversion
Source: "..\..\x64\Release\pGina.dll"; DestDir: "{app}"; Flags: ignoreversion restartreplace uninsrestartdelete
Source: "..\..\ChangeLog.txt"; DestDir: "{app}\docs"
Source: "..\..\docs\manual.pdf"; DestDir: "{app}\docs"
Source: "plugin_tester.exe"; DestDir: "{app}"
; Locales
Source: "..\..\locale_*"; DestDir: "{app}"

; NEED THESE PORTED TO x64
;Source: "..\tester\tester.exe"; DestDir: "{app}"
Source: "..\..\sdk\DummyPlugin\release\DummyPlugin.dll"; DestDir: "{app}\plugins"; Flags: ignoreversion restartreplace uninsrestartdelete

[Icons]
; common icons installed for all users
Name: "{group}\Configuration Tool"; Filename: "{app}\configure.bat"; Components: common; WorkingDir: {app}
Name: "{group}\Plugin Tester"; Filename: "{app}\tester.exe"; Components: common
Name: "{group}\Documentation\Users Manual"; Filename: "{app}\docs\manual.pdf"; Components: common
Name: "{group}\Documentation\ChangeLog"; Filename: "{app}\docs\ChangeLog.txt"; Components: common
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; Components: common

; icons only installed to the current user
Name: "{userprograms}\{groupname}\Configuration Tool"; Filename: "{app}\configure.bat"; Components: user; WorkingDir: {app}
Name: "{userprograms}\{groupname}\Plugin Tester"; Filename: "{app}\plugin_tester.exe"; Components: user
Name: "{userprograms}\{groupname}\Documentation\Users Manual"; Filename: "{app}\docs\manual.pdf"; Components: user
Name: "{userprograms}\{groupname}\Documentation\ChangeLog"; Filename: "{app}\docs\ChangeLog.txt"; Components: user
Name: "{userprograms}\{groupname}\Uninstall"; Filename: "{uninstallexe}"; Components: user

[Registry]
; Make pGina the default GINA
Root: HKLM; Subkey: "Software\Microsoft\Windows NT\CurrentVersion\Winlogon"; ValueType: string; ValueName: "GinaDLL"; ValueData: "{app}\pGina.dll"; Flags: uninsdeletevalue
; Main pgina key, the uninsdeletekey means we dont have to delete any others
Root: HKLM; Subkey: "Software\pGina"; Flags: uninsdeletekey
; Settings keys for pGina
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "allowLocking"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "buttonAction"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "debugOutput"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "forceLogin"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "keepProfiles"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "mapAdmin"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "passThru"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "hideMotd"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "hidePlugin"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "displayErrors"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "pathMSGina"; ValueData: "msgina.dll"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "pathPlugin"; ValueData: "{app}\plugins\DummyPlugin.dll"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "pathProfile"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "title"; ValueData: "pGina Login"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "mapPaths"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "logo"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "motd"; ValueData: "Welcome to %machine%, This is the MOTD field, you may put security warnings, instructions, etc here."
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "defaultDomain"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "globalGroups"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "sUsername"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "sPassword"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "sUserLogin"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "InstallPath"; ValueData: "{app}\pgina.dll"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "allowSpaces"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "scramblePasswords"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "disallowExpiration"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "manageDomain"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "includeDomain"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "showUsernameAndAuth"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "showMachineName"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "enableTask"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "enableLogout"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "enableRestart"; ValueData: "1"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "sUserDomain"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "adminUsername"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "adminPassword"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "disableAllEventLogs"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "UserLoginScript"; ValueData: ""
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "disablePassword"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "trueUnlock"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: string; ValueName: "locked_logo"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "hookWlx"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "honorLockedAccounts"; ValueData: "0"
Root: HKLM; Subkey: "Software\pGina"; ValueType: dword; ValueName: "keepAccounts"; ValueData: "1"
Root: HKLM; Subkey: "SYSTEM\CurrentControlSet\Services\Eventlog\pGina";

[Languages]
Name: "en"; MessagesFile: "compiler:Default.isl"
Name: "de"; MessagesFile: "..\German.isl"
Name: "cz"; MessagesFile: "..\Czech.isl"
Name: "fr"; MessagesFile: "..\French.isl"
Name: "el"; MessagesFile: "..\Greek-6-4.2.1.isl"

[Run]
Filename: "{app}\docs\ChangeLog.txt"; Description: "View the changes file"; Flags: postinstall shellexec skipifsilent
Filename: "{app}\configure.bat"; Description: "Configure pGina Now (Recommended)"; Flags: nowait postinstall skipifsilent; WorkingDir: {app}


